<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <title>Untitled :: Wovalab open-source projects</title>
    <link rel="canonical" href="https://wovalab.gitlab.io/open-source/docs/asciidoc-toolkit/latest/Includes/001.html">
    <meta name="generator" content="Antora 3.0.2">
    <link rel="stylesheet" href="../../../_/css/site.css">
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-3KJN6K6QRD"></script>
    <script>function gtag(){dataLayer.push(arguments)};window.dataLayer=window.dataLayer||[];gtag('js',new Date());gtag('config','G-3KJN6K6QRD')</script>
    <script>var uiRootPath = '../../../_'</script>
    <link rel="icon" href="../../../favicon.ico" type="image/x-icon">  </head>
  <body class="article">
<header class="header">
  <nav class="navbar">
    <div class="navbar-brand">
      <a class="navbar-item logo" title="Wovalab" href="https://www.wovalab.com"><img src="../../../_/img/wovalab-light-vertical.svg" alt="Wovalab" width="64"></a>
      <a class="navbar-item" href="https://wovalab.gitlab.io/open-source/docs">Wovalab open-source projects</a>
      <div class="navbar-item search hide-for-print">
        <div id="search-field" class="field">
          <input id="search-input" type="text" placeholder="Search the docs">
          <label class="filter checkbox">
            <input type="checkbox" data-facet-filter="component:asciidoc-toolkit" checked> In this project
          </label>
        </div>
      </div>
      <button class="navbar-burger" data-target="topbar-nav">
        <span></span>
        <span></span>
        <span></span>
      </button>
    </div>
  </nav>
</header>
<div class="body">
<div class="nav-container" data-component="asciidoc-toolkit" data-version="1.6">
  <aside class="nav">
    <div class="panels">
<div class="nav-panel-menu is-active" data-panel="menu">
  <nav class="nav-menu">
    <h3 class="title"><a href="../index.html">AsciiDoc toolkit</a></h3>
<ul class="nav-list">
  <li class="nav-item" data-depth="0">
<ul class="nav-list">
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="../index.html">What&#8217;s new</a>
  </li>
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="../general-info.html">General information</a>
  </li>
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="../api.html">API description</a>
  </li>
</ul>
  </li>
</ul>
  </nav>
</div>
<div class="nav-panel-explore" data-panel="explore">
  <div class="context">
    <span class="title">AsciiDoc toolkit</span>
    <span class="version">1.6</span>
  </div>
  <ul class="components">
    <li class="component is-current">
      <a class="title" href="../../latest/index.html">AsciiDoc toolkit</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../latest/index.html">1.8</a>
        </li>
        <li class="version">
          <a href="../../1.7/index.html">1.7</a>
        </li>
        <li class="version is-current">
          <a href="../index.html">1.6</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../../antidoc/latest/index.html">Antidoc</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../../antidoc/latest/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../../antidoc-addon-lvproj/latest/index.html">Antidoc add-on: LabVIEW project</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../../antidoc-addon-lvproj/latest/index.html">2.1</a>
        </li>
        <li class="version">
          <a href="../../../antidoc-addon-lvproj/2.0/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../../antidoc-addon-toolkit/latest/index.html">Antidoc add-on: LabVIEW toolkit</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../../antidoc-addon-toolkit/latest/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../../cli-tool-for-antidoc/latest/index.html">Antidoc CLI</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../../cli-tool-for-antidoc/latest/index.html">2.1</a>
        </li>
        <li class="version">
          <a href="../../../cli-tool-for-antidoc/2.0/index.html">2.0</a>
        </li>
        <li class="version">
          <a href="../../../cli-tool-for-antidoc/1.2.1/index.html">1.2.1</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../../about/index.html">Community</a>
    </li>
  </ul>
</div>    </div>
  </aside>
</div>
<main class="article">
<div class="toolbar" role="navigation">
<button class="nav-toggle"></button>
  <a href="../../../index.html" class="home-link"></a>
<nav class="breadcrumbs" aria-label="breadcrumbs">
</nav>
<div class="page-versions">
  <button class="version-menu-toggle" title="Show other versions of page">1.6</button>
  <div class="version-menu">
    <a class="version" href="../../latest/Includes/001.html">1.8</a>
    <a class="version" href="../../1.7/Includes/001.html">1.7</a>
    <a class="version is-current" href="001.html">1.6</a>
  </div>
</div>
  <div class="edit-this-page"><a href="https://gitlab.com/wovalab/open-source/asciidoc-toolkit/edit/docs/v1.6/docs/modules/ROOT/pages/Includes/001.adoc">Edit this Page</a></div>
  </div>
  <div class="content">
<aside class="toc sidebar" data-title="Contents" data-levels="2">
  <div class="toc-menu"></div>
</aside>
<article class="doc">
<div class="sect1">
<h2 id="main-palette"><a class="anchor" href="#main-palette"></a>Main palette</h2>
<div class="sectionbody">
<div class="imageblock">
<div class="content">
<img src="../_images/AsciiDoc_for_LabVIEW_icon.png" alt="AsciiDoc for LabVIEW icon">
</div>
</div>
<div class="imageblock">
<div class="content">
<img src="../_images/AsciiDoc_for_LabVIEW.png" alt="AsciiDoc for LabVIEW">
</div>
</div>
<div class="sect2">
<h3 id="create-document"><a class="anchor" href="#create-document"></a>Create Document</h3>
<div class="imageblock">
<div class="content">
<img src="../_images/Wovalab_lib_AsciiDoctor.lvlib_Doc.lvclass_Create_Document.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Doc.lvclass Create Document.vi">
</div>
</div>
<div class="paragraph">
<p>Create an asciidoc document.</p>
</div>
<div class="paragraph">
<p>&gt;The document type (aka doctype) declares the expected structure of an AsciiDoc document.
&gt; AsciiDoc defines a fixed set of document types.
&gt; Each document type provides a slight variation on the permitted structure of an AsciiDoc document to accommodate different uses cases.</p>
</div>
<div class="paragraph">
<p>For more information: <a href="https://docs.asciidoctor.org/asciidoc/latest/document/doctype/" class="bare">https://docs.asciidoctor.org/asciidoc/latest/document/doctype/</a></p>
</div>
</div>
<div class="sect2">
<h3 id="add-section"><a class="anchor" href="#add-section"></a>Add Section</h3>
<div class="imageblock">
<div class="content">
<img src="../_images/Wovalab_lib_AsciiDoctor.lvlib_Doc.lvclass_Add_Section__polymorphic.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Doc.lvclass Add Section  polymorphic.vi">
</div>
</div>
<div class="admonitionblock note">
<table>
<tr>
<td class="icon">
<i class="fa icon-note" title="Note"></i>
</td>
<td class="content">
This VI is polymorphic.
</td>
</tr>
</table>
</div>
<div class="paragraph">
<p>Add section to an asciidoc document.</p>
</div>
<div class="quoteblock">
<blockquote>
<div class="paragraph">
<p>Sections partition the document into a content hierarchy.</p>
</div>
</blockquote>
</div>
<div class="paragraph">
<p>This function supports the addition of a single section or an array of sections.</p>
</div>
<div class="paragraph">
<p>For more information: <a href="https://docs.asciidoctor.org/asciidoc/latest/sections/titles-and-levels/" class="bare">https://docs.asciidoctor.org/asciidoc/latest/sections/titles-and-levels/</a></p>
</div>
</div>
<div class="sect2">
<h3 id="generate-output"><a class="anchor" href="#generate-output"></a>Generate Output</h3>
<div class="imageblock">
<div class="content">
<img src="../_images/Wovalab_lib_AsciiDoctor.lvlib_Doc.lvclass_Generate_Output.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Doc.lvclass Generate Output.vi">
</div>
</div>
<div class="paragraph">
<p>Generate the asciidoc document string.</p>
</div>
<div class="paragraph">
<p>If a file path is provided, the output will be saved to file.</p>
</div>
<div class="paragraph">
<p>For more information: <a href="https://docs.asciidoctor.org/asciidoc/latest/" class="bare">https://docs.asciidoctor.org/asciidoc/latest/</a></p>
</div>
</div>
<div class="sect2">
<h3 id="create"><a class="anchor" href="#create"></a>Create</h3>
<div class="imageblock">
<div class="content">
<img src="../_images/Wovalab_lib_AsciiDoctor.lvlib_Section.lvclass_Create.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Section.lvclass Create.vi">
</div>
</div>
<div class="paragraph">
<p>Create a section.</p>
</div>
<div class="paragraph">
<p>Sections partition the document into a content hierarchy.</p>
</div>
<div class="paragraph">
<p>Use &lt;b&gt;Add bloc.vi&lt;/b&gt; to add content to a section</p>
</div>
<div class="paragraph">
<p>For more information: <a href="https://docs.asciidoctor.org/asciidoc/latest/sections/titles-and-levels/" class="bare">https://docs.asciidoctor.org/asciidoc/latest/sections/titles-and-levels/</a></p>
</div>
</div>
<div class="sect2">
<h3 id="add-bloc"><a class="anchor" href="#add-bloc"></a>Add Bloc</h3>
<div class="imageblock">
<div class="content">
<img src="../_images/Wovalab_lib_AsciiDoctor.lvlib_Section.lvclass_Add_Bloc__polymorphic.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Section.lvclass Add Bloc  polymorphic.vi">
</div>
</div>
<div class="admonitionblock note">
<table>
<tr>
<td class="icon">
<i class="fa icon-note" title="Note"></i>
</td>
<td class="content">
This VI is polymorphic.
</td>
</tr>
</table>
</div>
<div class="paragraph">
<p>Add content blocs to a section.</p>
</div>
<div class="paragraph">
<p>This function supports the addition of a single bloc or an array of blocs to a section</p>
</div>
</div>
<div class="sect2">
<h3 id="create-sub-section"><a class="anchor" href="#create-sub-section"></a>Create Sub Section</h3>
<div class="imageblock">
<div class="content">
<img src="../_images/Wovalab_lib_AsciiDoctor.lvlib_Sub_Section.lvclass_Create_Sub_Section__polymorphic.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Sub Section.lvclass Create Sub Section  polymorphic.vi">
</div>
</div>
<div class="admonitionblock note">
<table>
<tr>
<td class="icon">
<i class="fa icon-note" title="Note"></i>
</td>
<td class="content">
This VI is polymorphic.
</td>
</tr>
</table>
</div>
<div class="paragraph">
<p>Create a subsection with the given sections.</p>
</div>
<div class="paragraph">
<p>A &lt;b&gt;Subsection&lt;/b&gt; in this instance is actually a container object - its contains the sections given to it and they are then handled as subsections when rendered into the document.</p>
</div>
<div class="paragraph">
<p>This function supports creation of a subsection container from both a single section or an array of sections.</p>
</div>
</div>
<div class="sect2">
<h3 id="generate-output-2"><a class="anchor" href="#generate-output-2"></a>Generate Output</h3>
<div class="imageblock">
<div class="content">
<img src="../_images/Wovalab_lib_AsciiDoctor.lvlib_Section.lvclass_Generate_Output.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Section.lvclass Generate Output.vi">
</div>
</div>
<div class="paragraph">
<p>Generate the asciidoc string of the section.</p>
</div>
<div class="paragraph">
<p>You can use this function to create an asciidoc document to include in another one.</p>
</div>
</div>
<div class="sect2">
<h3 id="create-paragraph"><a class="anchor" href="#create-paragraph"></a>Create Paragraph</h3>
<div class="imageblock">
<div class="content">
<img src="../_images/Wovalab_lib_AsciiDoctor.lvlib_Paragraph.lvclass_Create_Paragraph.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Paragraph.lvclass Create Paragraph.vi">
</div>
</div>
<div class="paragraph">
<p>Create a paragraph bloc.</p>
</div>
<div class="paragraph">
<p>Paragraphs are blocks of text with optional formatting (e.g. bold, underline, italic etc) for specific words or phrases.</p>
</div>
<div class="paragraph">
<p>&lt;b&gt;Note&lt;/b&gt; Regular linespaces are ignored. Use &lt;b&gt;Add line break.vi&lt;/b&gt; or multiple paragraph blocs to form paragraphs in a section.</p>
</div>
<div class="paragraph">
<p>More information: <a href="https://docs.asciidoctor.org/asciidoc/latest/blocks/paragraphs/" class="bare">https://docs.asciidoctor.org/asciidoc/latest/blocks/paragraphs/</a></p>
</div>
</div>
<div class="sect2">
<h3 id="create-admonition"><a class="anchor" href="#create-admonition"></a>Create Admonition</h3>
<div class="imageblock">
<div class="content">
<img src="../_images/Wovalab_lib_AsciiDoctor.lvlib_Admonition.lvclass_Create_Admonition.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Admonition.lvclass Create Admonition.vi">
</div>
</div>
<div class="paragraph">
<p>Create an admonition bloc.</p>
</div>
<div class="paragraph">
<p>Admonitions (or notices) help draw attention to content with a special label or icon. In Asciidoc there are 5 types of admonition: "Note", "Tip", "Important", "Caution" and "Warning". Use them to call out content within a paragraph or section.</p>
</div>
<div class="paragraph">
<p>More information: <a href="https://docs.asciidoctor.org/asciidoc/latest/blocks/admonitions/" class="bare">https://docs.asciidoctor.org/asciidoc/latest/blocks/admonitions/</a></p>
</div>
</div>
<div class="sect2">
<h3 id="create-image"><a class="anchor" href="#create-image"></a>Create Image</h3>
<div class="imageblock">
<div class="content">
<img src="../_images/Wovalab_lib_AsciiDoctor.lvlib_Image.lvclass_Create_Image.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Image.lvclass Create Image.vi">
</div>
</div>
<div class="paragraph">
<p>Create an image bloc.</p>
</div>
<div class="paragraph">
<p>Adds an image from file to the document. File path can be absolute or relative to the "Image directory" attribute of the AsciiDoc document.</p>
</div>
<div class="admonitionblock caution">
<table>
<tr>
<td class="icon">
<i class="fa icon-caution" title="Caution"></i>
</td>
<td class="content">
Image path must not contain space or square brackets
</td>
</tr>
</table>
</div>
<div class="paragraph">
<p>More information: <a href="https://docs.asciidoctor.org/asciidoc/latest/macros/images/" class="bare">https://docs.asciidoctor.org/asciidoc/latest/macros/images/</a></p>
</div>
</div>
<div class="sect2">
<h3 id="create-include-directive"><a class="anchor" href="#create-include-directive"></a>Create Include Directive</h3>
<div class="imageblock">
<div class="content">
<img src="../_images/Wovalab_lib_AsciiDoctor.lvlib_Include_Directive.lvclass_Create_Include_Directive.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Include Directive.lvclass Create Include Directive.vi">
</div>
</div>
<div class="paragraph">
<p>Create an "Include" bloc.</p>
</div>
<div class="paragraph">
<p>The "Include" directive allows inclusion of content from another file into the current AsciiDoc document.</p>
</div>
<div class="paragraph">
<p>The included content can be in AsciiDoc or any other text format. Where that content is included in the document determines how it will be processed.</p>
</div>
<div class="admonitionblock caution">
<table>
<tr>
<td class="icon">
<i class="fa icon-caution" title="Caution"></i>
</td>
<td class="content">
Include file path must not contain space or square brackets
</td>
</tr>
</table>
</div>
<div class="paragraph">
<p>More information: <a href="https://docs.asciidoctor.org/asciidoc/latest/directives/include/" class="bare">https://docs.asciidoctor.org/asciidoc/latest/directives/include/</a></p>
</div>
</div>
<div class="sect2">
<h3 id="render-adoc-file"><a class="anchor" href="#render-adoc-file"></a>Render Adoc File</h3>
<div class="imageblock">
<div class="content">
<img src="../_images/Wovalab_lib_AsciiDoctor.lvlib_Render_Adoc_File.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Render Adoc File.vi">
</div>
</div>
<div class="paragraph">
<p>This function generate an HTML5 or PDF file using an adoc file as input.</p>
</div>
<div class="admonitionblock note">
<table>
<tr>
<td class="icon">
<i class="fa icon-note" title="Note"></i>
</td>
<td class="content">
The file is generated in the same folder than the input file with the same name except for the extension.
</td>
</tr>
</table>
</div>
<div class="admonitionblock warning">
<table>
<tr>
<td class="icon">
<i class="fa icon-warning" title="Warning"></i>
</td>
<td class="content">
If the adoc file contains diagram, you need to have access to the web in order to generate them.
</td>
</tr>
</table>
</div>
</div>
<div class="sect2">
<h3 id="check-asciidoctor-toolchain-installation"><a class="anchor" href="#check-asciidoctor-toolchain-installation"></a>Check Asciidoctor Toolchain Installation</h3>
<div class="imageblock">
<div class="content">
<img src="../_images/Wovalab_lib_AsciiDoctor.lvlib_Check_Asciidoctor_Toolchain_Installation.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Check Asciidoctor Toolchain Installation.vi">
</div>
</div>
<div class="paragraph">
<p>This function to check that asciidoctor toolchain is correctly installed.</p>
</div>
</div>
<div class="sect2">
<h3 id="installing-asciidoctor-toolchain"><a class="anchor" href="#installing-asciidoctor-toolchain"></a>Installing Asciidoctor toolchain</h3>
<div class="imageblock">
<div class="content">
<img src="../_images/Wovalab_lib_AsciiDoctor.lvlib_Install_Asciidoctor_Toolchain.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Install Asciidoctor Toolchain.vi">
</div>
</div>
<div class="paragraph">
<p>This function install the asciddoctor toolchain.
With the asciidoctor toolchain you can render adoc files in HTML5 or PDF file format.</p>
</div>
</div>
</div>
</div>
</article>
  </div>
</main>
</div>
<footer class="footer">
  <p>Wovalab © 2018-2022</p>
</footer>
<script id="site-script" src="../../../_/js/site.js" data-ui-root-path="../../../_"></script>
<script async src="../../../_/js/vendor/highlight.js"></script>
<script src="../../../_/js/vendor/lunr.js"></script>
<script src="../../../_/js/search-ui.js" id="search-ui-script" data-site-root-path="../../.." data-snippet-length="100" data-stylesheet="../../../_/css/search.css"></script>
<script async src="../../../search-index.js"></script>
  </body>
</html>
